Name:           x2gomatebindings
Version:        0.0.1.6
Release:        0.0x2go1%{?dist}
Summary:        X2Go MATE bindings and MIME types
%if 0%{?suse_version}
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
%else
Group:          Applications/Communications
License:        GPLv2+
%endif
URL:            https://www.x2go.org/
Source0:        https://code.x2go.org/releases/source/%name/%name-%version.tar.gz
Source1:        %{name}-rpmlintrc

BuildRequires:  autoconf >= 2.57, automake >= 1.7.6
BuildRequires:  mate-common
BuildRequires:  gnome-icon-theme
%if 0%{?suse_version} >= 1315
BuildRequires:  gnome-icon-theme-symbolic
%endif
BuildRequires:  mate-desktop-devel
%if ( 0%{?fedora} && 0%{?fedora} < 25 ) || ( 0%{?suse_version} && 0%{?suse_version} < 1320 )
BuildRequires:  mate-file-manager-devel
%else
# Later versions renamed mate-file-manager to caja.
# Compatibility was retained with virtual provides, but these are being phased out.
BuildRequires:  caja-devel
%endif
BuildRequires:  pkgconfig
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

# For directory owning only.
BuildRequires:  filesystem
BuildRequires:  x2goserver >= 4.0.1.4
BuildRequires:  x2goserver-extensions
# The next conditional is used to mark mate-menus-upstream as a bad option
# for the virtual package mate-menus.
# It will then use mate-menus-openSUSE or mate-menus-suse.
%if 0%{?suse_version}
#!BuildIgnore: mate-menus-branding-upstream
#!BuildIgnore: mate-desktop-gschemas-branding-upstream
%endif
BuildRequires:  mate-menus
BuildRequires:  mate-icon-theme

%if 0%{?suse_version}
BuildRequires:  pkgconfig(gtk+-2.0)
%else
%if 0%{?fedora}
%if 0%{?fedora} >= 25
BuildRequires:  gtk3-devel
%else
BuildRequires:  gtk2-devel
%endif
%else
BuildRequires:  gtk2-devel
%endif
%endif

%if 0%{?fedora} || 0%{?rhel}
# For some reason gcc doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
BuildRequires:  redhat-rpm-config
%endif

Requires:       x2goserver >= 4.0.1.4
Requires:       x2goserver-extensions
Requires:       zenity
Requires:       mate-menus
Requires:       desktop-file-utils
Requires:       mate-session-manager
Requires:       caja >= 1.6.0
Requires:       gnome-icon-theme
%if 0%{?suse_version} >= 1315
Requires:       gnome-icon-theme-symbolic
%endif

# Especially (but not only) for directory owning.
Requires:       filesystem
Requires:       mate-icon-theme

BuildRequires:  x2goserver-x2goagent

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go MATE Bindings contains MIME type information for X2Go if used with
MATE desktops.

%prep
%setup -q


%build
if [ ! -e configure ]; then
	NOCONFIGURE=1 ./autogen.sh;
fi;
# Remember to switch to --with-gtk=3.0 once OpenSuSE already provides a newer MATE version compiled against GTK 3.
# Fedora will switch to GTK 3 with FC25.
%if 0%{?fedora} && 0%{?fedora} >= 25
%configure --with-gtk=3.0
%else
%configure --with-gtk=2.0
%endif
make %{?_smp_mflags};


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_sbindir}
make install DESTDIR="%buildroot" INSTALL_ROOT="%buildroot" STRIP="true";
install -p -m 755 bin/x2gocaja %{buildroot}%{_bindir}/
install -p -m 755 bin/x2gosuspend-session-mate %{buildroot}%{_bindir}/
install -p -m 755 bin/x2goumount-session-mate %{buildroot}%{_bindir}/
install -p -m 755 sbin/update-mate-menu-x2go %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_datadir}/x2go/versions/
install -p -m 644 VERSION.x2gomatebindings %{buildroot}%{_datadir}/x2go/versions/
mkdir -p %{buildroot}%{_datadir}/{applications,icons/mate/scalable/mimetypes,mime/packages}
desktop-file-install --dir %{buildroot}%{_datadir}/applications/ share/applications/x2gocaja.desktop
desktop-file-install --dir %{buildroot}%{_datadir}/applications/ share/applications/x2gosuspend-mate.desktop
%if 0%{?suse_version} && 0%{?suse_version} >= 1315
ln -s -f drive-optical-symbolic.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfscdrom-x2go-mate.svg
ln -s -f drive-harddisk-symbolic.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsdisk-x2go-mate.svg
ln -s -f drive-removable-media-symbolic.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsremovable-x2go-mate.svg
%else
ln -s -f ../../../gnome/scalable/devices/drive-harddisk.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsdisk-x2go-mate.svg
ln -s -f ../../../gnome/scalable/devices/drive-removable-media.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsremovable-x2go-mate.svg
ln -s -f ../../../gnome/scalable/devices/drive-optical.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfscdrom-x2go-mate.svg
%endif
install -p -m 644 share/mime/packages/*.xml %{buildroot}%{_datadir}/mime/packages/
mkdir -p %{buildroot}%{_datadir}/x2go/x2gofeature.d/
install -p -m 755 share/x2go/x2gofeature.d/*.features %{buildroot}%{_datadir}/x2go/x2gofeature.d/
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/
install -p -m 644 xdg-menus/mate-settings-x2go.menu %{buildroot}%{_sysconfdir}/xdg/menus/
mkdir -p %{buildroot}%{_libdir}/x2go/extensions/pre-runcommand.d/
install -p -m 644 lib/x2go/extensions/pre-runcommand.d/005_MATE-monitors-xml-ignore %{buildroot}%{_libdir}/x2go/extensions/pre-runcommand.d/


%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :
/usr/sbin/update-mate-menu-x2go &>/dev/null || :
/usr/bin/update-mime-database /usr/share/mime &>/dev/null || :
/usr/bin/update-desktop-database &>/dev/null || :

%preun
/usr/sbin/update-mate-menu-x2go --remove &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
	/usr/bin/update-mime-database /usr/share/mime &>/dev/null || :
	/usr/bin/update-desktop-database &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :


%files
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%{_sysconfdir}/xdg/menus/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/mate/scalable/mimetypes/*
%{_datadir}/mime/packages/*
%{_datadir}/x2go/versions/*
%{_datadir}/x2go/x2gofeature.d/*
%{_libdir}/caja/extensions-2.0/*
%{_libdir}/x2go/extensions/pre-runcommand.d/*

%changelog
